#
# ***** BEGIN LICENSE BLOCK *****
# 
# Copyright (C) 2017-2019 Olof Hagsand
# Copyright (C) 2020-2022 Olof Hagsand and Rubicon Communications, LLC(Netgate)
#
# This file is part of CLIXON
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Alternatively, the contents of this file may be used under the terms of
# the GNU General Public License Version 3 or later (the "GPL"),
# in which case the provisions of the GPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of the GPL, and not to allow others to
# use your version of this file under the terms of Apache License version 2, 
# indicate your decision by deleting the provisions above and replace them with
# the notice and other provisions required by the GPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the Apache License version 2 or the GPL.
#
# ***** END LICENSE BLOCK *****
#
VPATH       	= @srcdir@
srcdir  	= @srcdir@
top_srcdir  	= @top_srcdir@
prefix 		= @prefix@
bindir 		= @bindir@
includedir	= @includedir@
datarootdir     = @datarootdir@

# Also clixon YANGs (see ../clixon)
YANG_INSTALLDIR   = @YANG_INSTALLDIR@

YANGSPECS += ietf-inet-types@2021-02-22.yang
YANGSPECS += ietf-netconf@2011-06-01.yang
YANGSPECS += ietf-netconf-acm@2018-02-14.yang
YANGSPECS += ietf-restconf@2017-01-26.yang
YANGSPECS += ietf-restconf-monitoring@2017-01-26.yang
YANGSPECS += ietf-yang-library@2019-01-04.yang
YANGSPECS += ietf-yang-types@2013-07-15.yang
YANGSPECS += ietf-datastores@2018-02-14.yang
YANGSPECS += ietf-yang-patch@2017-02-22.yang
# In RFC 8528  YANG Schema Mount

YANGSPECS += ietf-yang-schema-mount@2019-01-14.yang
# For remaining attribute in list-pagination:
YANGSPECS += ietf-yang-metadata@2016-08-05.yang
# XXX brings in NACM which breaks tests
# YANGSPECS += ietf-system-capabilities@2021-04-02.yang
# For remaining attribute in list-pagination-nc:
YANGSPECS += ietf-netconf-nmda@2019-01-07.yang
# For remaining attribute in ietf-netconf-nmda
YANGSPECS += ietf-origin@2018-02-14.yang
YANGSPECS += ietf-netconf-with-defaults@2011-06-01.yang
YANGSPECS += ietf-netconf-monitoring@2010-10-04.yang

# in draft-ietf-netconf-list-pagination-00.html
YANGSPECS += ietf-list-pagination@2022-07-24.yang
# in draft-ietf-netconf-list-pagination-nc-00
YANGSPECS += ietf-list-pagination-nc@2022-07-24.yang 

all:	

clean:

distclean: clean
	rm -f Makefile *~ .depend

install: $(YANGSPECS) 
	install -d -m 0755 $(DESTDIR)$(YANG_INSTALLDIR)
	install -m 0644 $(YANGSPECS) $(DESTDIR)$(YANG_INSTALLDIR)

uninstall:
	(cd $(DESTDIR)$(YANG_INSTALLDIR); rm -rf *.yang)

install-include:	

depend:


#include .depend

